Package net.shibboleth.idp.attribute.resolver.context.navigate

# Class AttributeRecipientIdLookupFunction

java.lang.Object
net.shibboleth.idp.attribute.resolver.context.navigate.AbstractAttributeResolutionLookupFunction<String>
net.shibboleth.idp.attribute.resolver.context.navigate.AttributeRecipientIdLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`, `ContextDataLookupFunction<ProfileRequestContext,String>`

public class AttributeRecipientIdLookupFunction extends AbstractAttributeResolutionLookupFunction<String>
A function that returns `AttributeResolutionContext.getAttributeRecipientID()` if available from a `AttributeResolutionContext` obtained via a lookup function defined on the base class.

If a specific setting is unavailable, a null value is returned.

## Constructor Summary

Constructors
Constructor
Description
`AttributeRecipientIdLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`doApply(AttributeResolutionContext input)`
Method that performs eventual lookup of target data.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.context.navigate.AbstractAttributeResolutionLookupFunction

`apply, setAttributeResolutionContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AttributeRecipientIdLookupFunction

public AttributeRecipientIdLookupFunction()

## Method Details

### doApply

@Nullable protected String doApply(@Nonnull AttributeResolutionContext input)
Method that performs eventual lookup of target data.

Specified by:
  `doApply` in class `AbstractAttributeResolutionLookupFunction<String>`
Parameters:
  `input` - the context to examine
Returns:
  the data to return